package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 项目分值表对象 gxt_score_project
 * 
 * @author ruoyi
 * @date 2025-11-11
 */
@ApiModel(description = "项目分值")
public class GxtScoreProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Excel(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 项目代码(A,B,C,D) */
    @Excel(name = "检修类型代码")
    @ApiModelProperty(value = "项目代码(A,B,C,D)")
    private String maintenanceType;

    /** 项目名称 */
    @Excel(name = "检修类型")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    /** 完成一次的分值 */
    @Excel(name = "分值")
    @ApiModelProperty(value = "完成一次的分值")
    private BigDecimal scorePerCompletion;

    /** 状态 */
    @Excel(name = "启用状态")
    @ApiModelProperty(value = "状态")
    private Integer status;

    /** 备注 */
    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMaintenanceType(String maintenanceType) 
    {
        this.maintenanceType = maintenanceType;
    }

    public String getMaintenanceType() 
    {
        return maintenanceType;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setScorePerCompletion(BigDecimal scorePerCompletion) 
    {
        this.scorePerCompletion = scorePerCompletion;
    }

    public BigDecimal getScorePerCompletion() 
    {
        return scorePerCompletion;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setRemark(String remark) 
    {
        this.remark = remark;
    }

    public String getRemark() 
    {
        return remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("maintenanceType", getMaintenanceType())
            .append("projectName", getProjectName())
            .append("scorePerCompletion", getScorePerCompletion())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}